Loading...
Searching...
No Matches
itk::CombinationImageToImageMetric< TFixedImage, TMovingImage > Class Template Reference

`#include <itkCombinationImageToImageMetric.h>`

## Detailed Description

template<class TFixedImage, class TMovingImage>
class itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >

Combines multiple metrics.

This metric is meant to be used in the MultiMetricMultiResolutionImageRegistrationMethod.

NB: while it may seem not logical that the SetInterpolator(arg) sets the interpolator in all submetrics whereas the GetInterpolator() returns GetInterpolator(0) it is logical. If you set the interpolator the same in all metrics, you will receive the correct interpolator with GetInterpolator(0). If you set the interpolator differently in all metrics, the most logical action is to return GetInterpolator(0) when GetInterpolator() is invoked.

Note: If you use Set{Transform,Interpolator etc}(0) or Set{Transform,Interpolator}(), the member variables of the superclass m_{Transform,Interpolator} are set as well. So, it is not strictly necessary to reimplement the functions Get{Transform,Interpolator}(), which return Get{Transform,Interpolator}(0), which would result in the same as returning m_{Transform,Interpolator} anyway. However, if Metric[0] is changed externally the m_{Transform, Interpolator} are not up to date anymore. That's why we chose to reimplement the Get{Transform,Interpolator}() methods.

Definition at line 59 of file itkCombinationImageToImageMetric.h.

Inheritance diagram for itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DerivativeValueType
using | FixedImageMaskPointer
using | FixedImageMaskType
using | FixedImagePixelType = typename FixedImageType::PixelType
using | FixedPointSetType
using | ImageMetricPointer = typename ImageMetricType::Pointer
using | ImageMetricType = Superclass
using | MovingImageDerivativeScalesType = FixedArray<double, Self::MovingImageDimension>
using | MovingImageMaskPointer
using | MovingImageMaskType
using | MovingImageRegionType = typename MovingImageType::RegionType
using | MovingPointSetType
using | Pointer = SmartPointer<Self>
using | PointSetMetricType = SingleValuedPointSetToPointSetMetric<FixedPointSetType, MovingPointSetType>
using | Self = CombinationImageToImageMetric
using | SingleValuedCostFunctionPointer = typename SingleValuedCostFunctionType::Pointer
using | SingleValuedCostFunctionType = SingleValuedCostFunction
using | Superclass = AdvancedImageToImageMetric<TFixedImage, TMovingImage>
using | ThreadInfoType
using | TransformPointer = typename TransformType::Pointer
using | TransformType = typename Superclass::AdvancedTransformType
Public Types inherited from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >
using | AdvancedTransformType = AdvancedTransform<ScalarType, FixedImageDimension, MovingImageDimension>
using | BSplineOrder1TransformPointer = typename BSplineOrder1TransformType::Pointer
using | BSplineOrder1TransformType = AdvancedBSplineDeformableTransform<ScalarType, FixedImageDimension, 1>
using | BSplineOrder2TransformPointer = typename BSplineOrder2TransformType::Pointer
using | BSplineOrder2TransformType = AdvancedBSplineDeformableTransform<ScalarType, FixedImageDimension, 2>
using | BSplineOrder3TransformPointer = typename BSplineOrder3TransformType::Pointer
using | BSplineOrder3TransformType = AdvancedBSplineDeformableTransform<ScalarType, FixedImageDimension, 3>
using | CombinationTransformType = AdvancedCombinationTransform<ScalarType, FixedImageDimension>
using | ConstPointer = SmartPointer<const Self>
using | DerivativeValueType = typename DerivativeType::ValueType
using | FixedImageLimiterOutputType = typename FixedImageLimiterType::OutputType
using | FixedImageLimiterPointer = typename FixedImageLimiterType::Pointer
using | FixedImageLimiterType = LimiterFunctionBase<RealType, FixedImageDimension>
using | FixedImageMaskConstPointer = SmartPointer<const FixedImageMaskType>
using | FixedImageMaskPointer = SmartPointer<FixedImageMaskType>
using | FixedImageMaskType = ImageMaskSpatialObject<Self::FixedImageDimension>
using | FixedImagePixelType = typename FixedImageType::PixelType
using | FixedImagePointer = typename FixedImageType::Pointer
using | ImageSampleContainerPointer = typename ImageSamplerType::OutputVectorContainerPointer
using | ImageSampleContainerType = typename ImageSamplerType::OutputVectorContainerType
using | ImageSamplerPointer = typename ImageSamplerType::Pointer
using | ImageSamplerType = ImageSamplerBase<FixedImageType>
using | MovingImageDerivativeScalesType = FixedArray<double, Self::MovingImageDimension>
using | MovingImageLimiterOutputType = typename MovingImageLimiterType::OutputType
using | MovingImageLimiterPointer = typename MovingImageLimiterType::Pointer
using | MovingImageLimiterType = LimiterFunctionBase<RealType, MovingImageDimension>
using | MovingImageMaskConstPointer = SmartPointer<const MovingImageMaskType>
using | MovingImageMaskPointer = SmartPointer<MovingImageMaskType>
using | MovingImageMaskType = ImageMaskSpatialObject<Self::MovingImageDimension>
using | MovingImagePointer = typename MovingImageType::Pointer
using | MovingImageRegionType = typename MovingImageType::RegionType
using | NumberOfParametersType = typename AdvancedTransformType::NumberOfParametersType
using | Pointer = SmartPointer<Self>
using | ScalarType = typename TransformType::ScalarType
using | Self = AdvancedImageToImageMetric
using | Superclass = ImageToImageMetric<TFixedImage, TMovingImage>
using | ThreadInfoType = MultiThreaderBase::WorkUnitInfo

## Public Member Functions

virtual const char * | GetClassName () const
void | GetDerivative (const ParametersType &parameters, DerivativeType &derivative) const override
const FixedImageType * | GetFixedImage () const override
virtual const FixedImageType * | GetFixedImage (unsigned int pos) const
const FixedImageMaskType * | GetFixedImageMask () const override
virtual const FixedImageMaskType * | GetFixedImageMask (unsigned int pos) const
const FixedImageRegionType & | GetFixedImageRegion () const override
virtual const FixedImageRegionType & | GetFixedImageRegion (unsigned int pos) const
const InterpolatorType * | GetInterpolator () const override
InterpolatorType * | GetInterpolator () override
virtual const InterpolatorType * | GetInterpolator (unsigned int pos) const
SingleValuedCostFunctionType * | GetMetric (unsigned int count) const
double | GetMetricComputationTime (unsigned int pos) const
const DerivativeType & | GetMetricDerivative (unsigned int pos) const
double | GetMetricDerivativeMagnitude (unsigned int pos) const
double | GetMetricRelativeWeight (unsigned int pos) const
MeasureType | GetMetricValue (unsigned int pos) const
double | GetMetricWeight (unsigned int pos) const
const MovingImageType * | GetMovingImage () const override
virtual const MovingImageType * | GetMovingImage (unsigned int pos) const
const MovingImageMaskType * | GetMovingImageMask () const override
virtual const MovingImageMaskType * | GetMovingImageMask (unsigned int pos) const
ModifiedTimeType | GetMTime () const override
virtual unsigned int | GetNumberOfMetrics () const
const SizeValueType & | GetNumberOfPixelsCounted () const override
const TransformType * | GetTransform () const override
TransformType * | GetTransform () override
virtual const TransformType * | GetTransform (unsigned int pos) const
bool | GetUseMetric (const unsigned int pos) const
virtual bool | GetUseRelativeWeights () const
MeasureType | GetValue (const ParametersType &parameters) const override
void | GetValueAndDerivative (const ParametersType &parameters, MeasureType &value, DerivativeType &derivative) const override
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (CombinationImageToImageMetric)
| itkStaticConstMacro (FixedImageDimension, unsigned int, TFixedImage::ImageDimension)
| itkStaticConstMacro (MovingImageDimension, unsigned int, TMovingImage::ImageDimension)
void | SetFixedImage (const FixedImageType *_arg) override
virtual void | SetFixedImage (const FixedImageType *_arg, unsigned int pos)
void | SetFixedImageMask (const FixedImageMaskType *_arg) override
virtual void | SetFixedImageMask (const FixedImageMaskType *_arg, unsigned int pos)
void | SetFixedImageRegion (const FixedImageRegionType _arg) override
virtual void | SetFixedImageRegion (const FixedImageRegionType _arg, unsigned int pos)
void | SetInterpolator (InterpolatorType *_arg) override
virtual void | SetInterpolator (InterpolatorType *_arg, unsigned int pos)
void | SetMetric (SingleValuedCostFunctionType *metric, unsigned int pos)
void | SetMetricRelativeWeight (double weight, unsigned int pos)
void | SetMetricWeight (double weight, unsigned int pos)
void | SetMovingImage (const MovingImageType *_arg) override
virtual void | SetMovingImage (const MovingImageType *_arg, unsigned int pos)
void | SetMovingImageMask (const MovingImageMaskType *_arg) override
virtual void | SetMovingImageMask (const MovingImageMaskType *_arg, unsigned int pos)
void | SetNumberOfMetrics (unsigned int count)
void | SetTransform (TransformType *_arg) override
virtual void | SetTransform (TransformType *_arg, unsigned int pos)
void | SetUseAllMetrics ()
void | SetUseMetric (const bool use, const unsigned int pos)
virtual void | SetUseRelativeWeights (bool _arg)
Public Member Functions inherited from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >
virtual void | BeforeThreadedGetValueAndDerivative (const TransformParametersType &parameters) const
virtual const FixedImageLimiterType * | GetFixedImageLimiter ()
const FixedImageMaskType * | GetFixedImageMask () const override
virtual double | GetFixedLimitRangeRatio () const
ImageSamplerType * | GetImageSampler () const
virtual const MovingImageDerivativeScalesType & | GetMovingImageDerivativeScales ()
virtual const MovingImageLimiterType * | GetMovingImageLimiter ()
const MovingImageMaskType * | GetMovingImageMask () const override
virtual double | GetMovingLimitRangeRatio () const
virtual double | GetRequiredRatioOfValidSamples () const
virtual bool | GetScaleGradientWithRespectToMovingImageOrientation () const
const AdvancedTransformType * | GetTransform () const override
AdvancedTransformType * | GetTransform () override
virtual bool | GetUseFixedImageLimiter () const
virtual bool | GetUseImageSampler () const
virtual const bool & | GetUseMetricSingleThreaded ()
virtual bool | GetUseMovingImageDerivativeScales () const
virtual bool | GetUseMovingImageLimiter () const
virtual const bool & | GetUseMultiThread ()
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedImageToImageMetric)
| itkStaticConstMacro (FixedImageDimension, unsigned int, TFixedImage::ImageDimension)
| itkStaticConstMacro (MovingImageDimension, unsigned int, TMovingImage::ImageDimension)
virtual void | SetFixedImageLimiter (FixedImageLimiterType *_arg)
virtual void | SetFixedLimitRangeRatio (double _arg)
virtual void | SetImageSampler (ImageSamplerType *_arg)
virtual void | SetMovingImageDerivativeScales (MovingImageDerivativeScalesType _arg)
virtual void | SetMovingImageLimiter (MovingImageLimiterType *_arg)
virtual void | SetMovingLimitRangeRatio (double _arg)
virtual void | SetRequiredRatioOfValidSamples (double _arg)
virtual void | SetScaleGradientWithRespectToMovingImageOrientation (bool _arg)
virtual void | SetUseMetricSingleThreaded (bool _arg)
virtual void | SetUseMovingImageDerivativeScales (bool _arg)
virtual void | SetUseMultiThread (bool _arg)
virtual void | UseMetricSingleThreadedOff ()
virtual void | UseMetricSingleThreadedOn ()
virtual void | UseMultiThreadOff ()
virtual void | UseMultiThreadOn ()

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| CombinationImageToImageMetric ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~CombinationImageToImageMetric () override=default
Protected Member Functions inherited from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >
| AdvancedImageToImageMetric ()
virtual void | AfterThreadedGetValue (MeasureType &) const
virtual void | AfterThreadedGetValueAndDerivative (MeasureType &, DerivativeType &) const
void | CheckForAdvancedTransform ()
void | CheckForBSplineInterpolator ()
void | CheckForBSplineTransform () const
void | CheckNumberOfSamples (unsigned long wanted, unsigned long found) const
virtual bool | EvaluateMovingImageValueAndDerivative (const MovingImagePointType &mappedPoint, RealType &movingImageValue, MovingImageDerivativeType *gradient) const
bool | EvaluateTransformJacobian (const FixedImagePointType &fixedImagePoint, TransformJacobianType &jacobian, NonZeroJacobianIndicesType &nzji) const
virtual void | EvaluateTransformJacobianInnerProduct (const TransformJacobianType &jacobian, const MovingImageDerivativeType &movingImageDerivative, DerivativeType &imageJacobian) const
bool | FastEvaluateMovingImageValueAndDerivative (const MovingImagePointType &mappedPoint, RealType &movingImageValue, MovingImageDerivativeType *gradient, const ThreadIdType threadId) const
virtual void | InitializeImageSampler ()
void | InitializeLimiters ()
virtual bool | IsInsideMovingMask (const MovingImagePointType &point) const
| itkAlignedTypedef (ITK_CACHE_LINE_ALIGNMENT, PaddedGetValueAndDerivativePerThreadStruct, AlignedGetValueAndDerivativePerThreadStruct)
| itkPadStruct (ITK_CACHE_LINE_ALIGNMENT, GetValueAndDerivativePerThreadStruct, PaddedGetValueAndDerivativePerThreadStruct)
void | LaunchGetValueAndDerivativeThreaderCallback () const
void | LaunchGetValueThreaderCallback () const
void | PrintSelf (std::ostream &os, Indent indent) const override
void | SetFixedImageMask (const typename Superclass::FixedImageMaskType *) final
void | SetFixedImageMask (typename Superclass::FixedImageMaskType *) final
void | SetMovingImageMask (const typename Superclass::MovingImageMaskType *) final
void | SetMovingImageMask (typename Superclass::MovingImageMaskType *) final
virtual void | SetUseFixedImageLimiter (bool _arg)
virtual void | SetUseImageSampler (bool _arg)
virtual void | SetUseMovingImageLimiter (bool _arg)
virtual void | ThreadedGetValue (ThreadIdType) const
virtual void | ThreadedGetValueAndDerivative (ThreadIdType) const
MovingImagePointType | TransformPoint (const FixedImagePointType &fixedImagePoint) const
| ~AdvancedImageToImageMetric () override=default

## Protected Attributes

std::vector< double > | m_MetricComputationTime {}
std::vector< DerivativeType > | m_MetricDerivatives {}
std::vector< double > | m_MetricDerivativesMagnitude {}
std::vector< double > | m_MetricRelativeWeights {}
std::vector< SingleValuedCostFunctionPointer > | m_Metrics {}
std::vector< MeasureType > | m_MetricValues {}
std::vector< double > | m_MetricWeights {}
DerivativeType | m_NullDerivative {}
FixedImageRegionType | m_NullFixedImageRegion {}
unsigned int | m_NumberOfMetrics { 0 }
std::vector< bool > | m_UseMetric {}
bool | m_UseRelativeWeights { false }
Protected Attributes inherited from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >
AdvancedTransformType::Pointer | m_AdvancedTransform { nullptr }
FixedImageLimiterOutputType | m_FixedImageMaxLimit { 1 }
FixedImageLimiterOutputType | m_FixedImageMinLimit { 0 }
FixedImagePixelType | m_FixedImageTrueMax { 1 }
FixedImagePixelType | m_FixedImageTrueMin { 0 }
double | m_FixedLimitRangeRatio { 0.01 }
std::unique_ptr< AlignedGetValueAndDerivativePerThreadStruct[]> | m_GetValueAndDerivativePerThreadVariables
ThreadIdType | m_GetValueAndDerivativePerThreadVariablesSize { 0 }
ImageSamplerPointer | m_ImageSampler { nullptr }
MovingImageLimiterOutputType | m_MovingImageMaxLimit { 1 }
MovingImageLimiterOutputType | m_MovingImageMinLimit { 0 }
MovingImagePixelType | m_MovingImageTrueMax { 1 }
MovingImagePixelType | m_MovingImageTrueMin { 0 }
double | m_MovingLimitRangeRatio { 0.01 }
MultiThreaderParameterType | m_ThreaderMetricParameters {}
bool | m_TransformIsBSpline { false }
bool | m_UseMetricSingleThreaded { true }
bool | m_UseMultiThread { false }

## Private Member Functions

double | GetFinalMetricWeight (unsigned int pos) const
void | InitializeThreadingParameters () const override
void | SetFixedImageMask (const typename Superclass::FixedImageMaskType *) final
void | SetFixedImageMask (typename Superclass::FixedImageMaskType *) final
void | SetMovingImageMask (const typename Superclass::MovingImageMaskType *) final
void | SetMovingImageMask (typename Superclass::MovingImageMaskType *) final

## Additional Inherited Members

Protected Types inherited from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >
using | BSplineInterpolatorFloatPointer = typename BSplineInterpolatorFloatType::Pointer
using | BSplineInterpolatorFloatType
using | BSplineInterpolatorPointer = typename BSplineInterpolatorType::Pointer
using | BSplineInterpolatorType
using | FixedImageIndexType = typename FixedImageType::IndexType
using | FixedImageIndexValueType = typename FixedImageIndexType::IndexValueType
using | FixedImagePointType = typename TransformType::InputPointType
using | LinearInterpolatorPointer = typename LinearInterpolatorType::Pointer
using | LinearInterpolatorType = AdvancedLinearInterpolateImageFunction<MovingImageType, CoordinateRepresentationType>
using | MovingImageContinuousIndexType = typename InterpolatorType::ContinuousIndexType
using | MovingImageDerivativeType = typename BSplineInterpolatorType::CovariantVectorType
using | MovingImageIndexType = typename MovingImageType::IndexType
using | MovingImagePointType = typename TransformType::OutputPointType
using | NonZeroJacobianIndicesType = typename AdvancedTransformType::NonZeroJacobianIndicesType
using | ReducedBSplineInterpolatorPointer = typename ReducedBSplineInterpolatorType::Pointer
using | ReducedBSplineInterpolatorType
Static Protected Member Functions inherited from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >
static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | AccumulateDerivativesThreaderCallback (void *arg)
static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | GetValueAndDerivativeThreaderCallback (void *arg)
static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | GetValueThreaderCallback (void *arg)

## Member Typedef Documentation

## ConstPointer

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::ConstPointer = SmartPointer<const Self>

Definition at line 68 of file itkCombinationImageToImageMetric.h.

## DerivativeValueType

template<class TFixedImage, class TMovingImage>

using itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::DerivativeValueType

Definition at line 133 of file itkAdvancedImageToImageMetric.h.

## FixedImageMaskPointer

template<class TFixedImage, class TMovingImage>

using itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::FixedImageMaskPointer

Definition at line 125 of file itkAdvancedImageToImageMetric.h.

## FixedImageMaskType

template<class TFixedImage, class TMovingImage>

using itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::FixedImageMaskType

Definition at line 124 of file itkAdvancedImageToImageMetric.h.

## FixedImagePixelType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::FixedImagePixelType = typename FixedImageType::PixelType

Definition at line 130 of file itkCombinationImageToImageMetric.h.

## FixedPointSetType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::FixedPointSetType

Initial value:
PointSet<CoordinateRepresentationType,
TFixedImage::ImageDimension,
DefaultStaticMeshTraits<CoordinateRepresentationType,
TFixedImage::ImageDimension,
TFixedImage::ImageDimension,
CoordinateRepresentationType,
CoordinateRepresentationType,
CoordinateRepresentationType>>
elastix::MetricBase::CoordinateRepresentationType
typename ITKBaseType::ParametersValueType CoordinateRepresentationType
Definition elxMetricBase.h:107

Typedef for the PointSetMetric.

Definition at line 135 of file itkCombinationImageToImageMetric.h.

## ImageMetricPointer

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::ImageMetricPointer = typename ImageMetricType::Pointer

Definition at line 126 of file itkCombinationImageToImageMetric.h.

## ImageMetricType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::ImageMetricType = Superclass

using typename Superclass::ImageSamplerType; using typename Superclass::ImageSamplerPointer; using typename Superclass::ImageSampleContainerType; using typename Superclass::ImageSampleContainerPointer; using typename Superclass::FixedImageLimiterType; using typename Superclass::FixedImageLimiterOutputType; using typename Superclass::MovingImageLimiterType; using typename Superclass::MovingImageLimiterOutputType; using typename Superclass::ScalarType; using typename Superclass::AdvancedTransformType; Typedefs for the metrics.

Definition at line 125 of file itkCombinationImageToImageMetric.h.

## MovingImageDerivativeScalesType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::MovingImageDerivativeScalesType = FixedArray<double, Self::MovingImageDimension>

Definition at line 132 of file itkCombinationImageToImageMetric.h.

## MovingImageMaskPointer

template<class TFixedImage, class TMovingImage>

using itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::MovingImageMaskPointer

Definition at line 128 of file itkAdvancedImageToImageMetric.h.

## MovingImageMaskType

template<class TFixedImage, class TMovingImage>

using itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::MovingImageMaskType

Definition at line 127 of file itkAdvancedImageToImageMetric.h.

## MovingImageRegionType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::MovingImageRegionType = typename MovingImageType::RegionType

Definition at line 131 of file itkCombinationImageToImageMetric.h.

## MovingPointSetType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::MovingPointSetType

Initial value:
PointSet<CoordinateRepresentationType,
TMovingImage::ImageDimension,
DefaultStaticMeshTraits<CoordinateRepresentationType,
TMovingImage::ImageDimension,
TMovingImage::ImageDimension,
CoordinateRepresentationType,
CoordinateRepresentationType,
CoordinateRepresentationType>>

Definition at line 143 of file itkCombinationImageToImageMetric.h.

## Pointer

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::Pointer = SmartPointer<Self>

Definition at line 67 of file itkCombinationImageToImageMetric.h.

## PointSetMetricType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::PointSetMetricType = SingleValuedPointSetToPointSetMetric<FixedPointSetType, MovingPointSetType>

Definition at line 151 of file itkCombinationImageToImageMetric.h.

## Self

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::Self = CombinationImageToImageMetric

Standard class typedefs.

Definition at line 65 of file itkCombinationImageToImageMetric.h.

## SingleValuedCostFunctionPointer

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SingleValuedCostFunctionPointer = typename SingleValuedCostFunctionType::Pointer

Definition at line 128 of file itkCombinationImageToImageMetric.h.

## SingleValuedCostFunctionType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SingleValuedCostFunctionType = SingleValuedCostFunction

Definition at line 127 of file itkCombinationImageToImageMetric.h.

## Superclass

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::Superclass = AdvancedImageToImageMetric<TFixedImage, TMovingImage>

Definition at line 66 of file itkCombinationImageToImageMetric.h.

## ThreadInfoType

template<class TFixedImage, class TMovingImage>

using itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::ThreadInfoType

Typedef for multi-threading.

Definition at line 170 of file itkAdvancedImageToImageMetric.h.

## TransformPointer

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::TransformPointer = typename TransformType::Pointer

Definition at line 91 of file itkCombinationImageToImageMetric.h.

## TransformType

template<class TFixedImage, class TMovingImage>

using itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::TransformType = typename Superclass::AdvancedTransformType

Definition at line 90 of file itkCombinationImageToImageMetric.h.

## Constructor & Destructor Documentation

## CombinationImageToImageMetric()

template<class TFixedImage, class TMovingImage>

itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::CombinationImageToImageMetric | ( |  | ) |

protected

## ~CombinationImageToImageMetric()

template<class TFixedImage, class TMovingImage>

itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::~CombinationImageToImageMetric | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TFixedImage, class TMovingImage>

virtual const char * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >.

## GetDerivative()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetDerivative | ( | const ParametersType & | parameters,
|  | DerivativeType & | derivative ) const

override

The GetDerivative()-method.

## GetFinalMetricWeight()

template<class TFixedImage, class TMovingImage>

double itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetFinalMetricWeight | ( | unsigned int | pos | ) | const

private

Compute the current metric weight, given the user selected strategy and derivative magnitude.

## GetFixedImage() [1/2]

template<class TFixedImage, class TMovingImage>

const FixedImageType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetFixedImage | ( |  | ) | const

inline override

Return FixedImage 0

Definition at line 319 of file itkCombinationImageToImageMetric.h.

## GetFixedImage() [2/2]

template<class TFixedImage, class TMovingImage>

virtual const FixedImageType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetFixedImage | ( | unsigned int | pos | ) | const

virtual

Returns the fixedImage set in a specific metric. If the submetric is a singlevalued costfunction a zero pointer will be returned

## GetFixedImageMask() [1/2]

template<class TFixedImage, class TMovingImage>

const FixedImageMaskType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetFixedImageMask | ( |  | ) | const

inline override

Return FixedImageMask 0

Definition at line 341 of file itkCombinationImageToImageMetric.h.

## GetFixedImageMask() [2/2]

template<class TFixedImage, class TMovingImage>

virtual const FixedImageMaskType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetFixedImageMask | ( | unsigned int | pos | ) | const

virtual

Returns the fixedImageMask set in a specific metric. If the submetric is a singlevalued costfunction a zero pointer will be returned

## GetFixedImageRegion() [1/2]

template<class TFixedImage, class TMovingImage>

const FixedImageRegionType & itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetFixedImageRegion | ( |  | ) | const

inline override

Return FixedImageRegion 0

Definition at line 363 of file itkCombinationImageToImageMetric.h.

## GetFixedImageRegion() [2/2]

template<class TFixedImage, class TMovingImage>

virtual const FixedImageRegionType & itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetFixedImageRegion | ( | unsigned int | pos | ) | const

virtual

Returns the fixedImageRegion set in a specific metric. If the submetric is a singlevalued costfunction a region with size zero will be returned

## GetInterpolator() [1/3]

template<class TFixedImage, class TMovingImage>

const InterpolatorType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetInterpolator | ( |  | ) | const

inline override

Get the first interpolator. Const overload.

Definition at line 297 of file itkCombinationImageToImageMetric.h.

## GetInterpolator() [2/3]

template<class TFixedImage, class TMovingImage>

InterpolatorType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetInterpolator | ( |  | ) |

inline override

Get the first interpolator.

Definition at line 289 of file itkCombinationImageToImageMetric.h.

## GetInterpolator() [3/3]

template<class TFixedImage, class TMovingImage>

virtual const InterpolatorType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetInterpolator | ( | unsigned int | pos | ) | const

virtual

Returns the interpolator set in a specific metric. If the submetric is a singlevalued costfunction a zero pointer will be returned.

## GetMetric()

template<class TFixedImage, class TMovingImage>

SingleValuedCostFunctionType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMetric | ( | unsigned int | count | ) | const

Get metric i.

## GetMetricComputationTime()

template<class TFixedImage, class TMovingImage>

double itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMetricComputationTime | ( | unsigned int | pos | ) | const

Get the last computed computation time for metric i.

## GetMetricDerivative()

template<class TFixedImage, class TMovingImage>

const DerivativeType & itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMetricDerivative | ( | unsigned int | pos | ) | const

Get the last computed derivative for metric i.

## GetMetricDerivativeMagnitude()

template<class TFixedImage, class TMovingImage>

double itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMetricDerivativeMagnitude | ( | unsigned int | pos | ) | const

Get the last computed derivative magnitude for metric i.

## GetMetricRelativeWeight()

template<class TFixedImage, class TMovingImage>

double itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMetricRelativeWeight | ( | unsigned int | pos | ) | const

Get the relative weight for metric i.

## GetMetricValue()

template<class TFixedImage, class TMovingImage>

MeasureType itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMetricValue | ( | unsigned int | pos | ) | const

Get the last computed value for metric i.

## GetMetricWeight()

template<class TFixedImage, class TMovingImage>

double itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMetricWeight | ( | unsigned int | pos | ) | const

Get the weight for metric i.

## GetMovingImage() [1/2]

template<class TFixedImage, class TMovingImage>

const MovingImageType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMovingImage | ( |  | ) | const

inline override

Return MovingImage 0

Definition at line 385 of file itkCombinationImageToImageMetric.h.

## GetMovingImage() [2/2]

template<class TFixedImage, class TMovingImage>

virtual const MovingImageType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMovingImage | ( | unsigned int | pos | ) | const

virtual

Returns the movingImage set in a specific metric. If the submetric is a singlevalued costfunction a zero pointer will be returned

## GetMovingImageMask() [1/2]

template<class TFixedImage, class TMovingImage>

const MovingImageMaskType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMovingImageMask | ( |  | ) | const

inline override

Return MovingImageMask 0

Definition at line 407 of file itkCombinationImageToImageMetric.h.

## GetMovingImageMask() [2/2]

template<class TFixedImage, class TMovingImage>

virtual const MovingImageMaskType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMovingImageMask | ( | unsigned int | pos | ) | const

virtual

Returns the movingImageMask set in a specific metric. If the submetric is a singlevalued costfunction a zero pointer will be returned

## GetMTime()

template<class TFixedImage, class TMovingImage>

ModifiedTimeType itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetMTime | ( |  | ) | const

override

Method to return the latest modified time of this object or any of its cached ivars.

## GetNumberOfMetrics()

template<class TFixedImage, class TMovingImage>

virtual unsigned int itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetNumberOfMetrics | ( |  | ) | const

virtual

Get the number of metrics to combine.

## GetNumberOfPixelsCounted()

template<class TFixedImage, class TMovingImage>

const SizeValueType & itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetNumberOfPixelsCounted | ( |  | ) | const

override

Get the number of pixels considered in the computation. Return the sum of pixels counted by all metrics.

## GetTransform() [1/3]

template<class TFixedImage, class TMovingImage>

const TransformType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetTransform | ( |  | ) | const

inline override

Get the first transform. Const overload.

Definition at line 267 of file itkCombinationImageToImageMetric.h.

## GetTransform() [2/3]

template<class TFixedImage, class TMovingImage>

TransformType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetTransform | ( |  | ) |

inline override

Get the first transform.

Definition at line 259 of file itkCombinationImageToImageMetric.h.

## GetTransform() [3/3]

template<class TFixedImage, class TMovingImage>

virtual const TransformType * itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetTransform | ( | unsigned int | pos | ) | const

virtual

Returns the transform set in a specific metric. If the submetric is a singlevalued costfunction a zero pointer will be returned.

## GetUseMetric()

template<class TFixedImage, class TMovingImage>

bool itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetUseMetric | ( | const unsigned int | pos | ) | const

Get if this metric is used.

## GetUseRelativeWeights()

template<class TFixedImage, class TMovingImage>

virtual bool itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetUseRelativeWeights | ( |  | ) | const

virtual

## GetValue()

template<class TFixedImage, class TMovingImage>

MeasureType itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetValue | ( | const ParametersType & | parameters | ) | const

override

Combine all sub metrics by adding them. The GetValue()-method.

## GetValueAndDerivative()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::GetValueAndDerivative | ( | const ParametersType & | parameters,
|  | MeasureType & | value,
|  | DerivativeType & | derivative ) const

override

The GetValueAndDerivative()-method.

## Initialize()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::Initialize | ( |  | ) |

override

Pass initialization to all sub metrics.

## InitializeThreadingParameters()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::InitializeThreadingParameters | ( |  | ) | const

override private virtual

Initialize some multi-threading related parameters. Overrides function in AdvancedImageToImageMetric, because here we use other parameters.

Reimplemented from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TFixedImage, class TMovingImage>

itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | CombinationImageToImageMetric< TFixedImage, TMovingImage > |  | ) |

## itkStaticConstMacro() [1/2]

template<class TFixedImage, class TMovingImage>

itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::itkStaticConstMacro | ( | FixedImageDimension | ,
|  | unsigned int | ,
|  | TFixedImage::ImageDimension | )

## itkStaticConstMacro() [2/2]

template<class TFixedImage, class TMovingImage>

itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::itkStaticConstMacro | ( | MovingImageDimension | ,
|  | unsigned int | ,
|  | TMovingImage::ImageDimension | )

Constants for the image dimensions

## New()

template<class TFixedImage, class TMovingImage>

Pointer itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::New | ( |  | ) |

static

Define the New() method

## PrintSelf()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetFixedImage() [1/2]

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImage | ( | const FixedImageType * | _arg | ) |

override

Pass the fixed image to all sub metrics.

## SetFixedImage() [2/2]

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImage | ( | const FixedImageType * | _arg,
|  | unsigned int | pos )

virtual

Pass a fixed image to a specific metric

## SetFixedImageMask() [1/4]

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImageMask | ( | const FixedImageMaskType * | _arg | ) |

override virtual

Pass the fixed image mask to all sub metrics.

Reimplemented from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >.

## SetFixedImageMask() [2/4]

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImageMask | ( | const FixedImageMaskType * | _arg,
|  | unsigned int | pos )

virtual

Pass a fixed image mask to a specific metric

## SetFixedImageMask() [3/4]

template<class TFixedImage, class TMovingImage>

void itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImageMask | ( | const typename Superclass::FixedImageMaskType * |  | ) |

inline final private

Definition at line 580 of file itkAdvancedImageToImageMetric.h.

## SetFixedImageMask() [4/4]

template<class TFixedImage, class TMovingImage>

void itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImageMask | ( | typename Superclass::FixedImageMaskType * |  | ) |

inline final private

Definition at line 574 of file itkAdvancedImageToImageMetric.h.

## SetFixedImageRegion() [1/2]

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImageRegion | ( | const FixedImageRegionType | _arg | ) |

override

Pass the fixed image region to all sub metrics.

## SetFixedImageRegion() [2/2]

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetFixedImageRegion | ( | const FixedImageRegionType | _arg,
|  | unsigned int | pos )

virtual

Pass a fixed image region to a specific metric.

## SetInterpolator() [1/2]

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetInterpolator | ( | InterpolatorType * | _arg | ) |

override

Pass the interpolator to all sub metrics.

## SetInterpolator() [2/2]

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetInterpolator | ( | InterpolatorType * | _arg,
|  | unsigned int | pos )

virtual

Pass an interpolator to a specific metric

## SetMetric()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetMetric | ( | SingleValuedCostFunctionType * | metric,
|  | unsigned int | pos )

Set metric i. It may be a SingleValuedCostFunction, instead of a ImageToImageMetric, but the first one should be an ImageToImageMetric in all cases.

## SetMetricRelativeWeight()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetMetricRelativeWeight | ( | double | weight,
|  | unsigned int | pos )

Set the relative weight for metric i.

## SetMetricWeight()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetMetricWeight | ( | double | weight,
|  | unsigned int | pos )

Set the weight for metric i.

## SetMovingImage() [1/2]

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetMovingImage | ( | const MovingImageType * | _arg | ) |

override

Pass the moving image to all sub metrics.

## SetMovingImage() [2/2]

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetMovingImage | ( | const MovingImageType * | _arg,
|  | unsigned int | pos )

virtual

Pass a moving image to a specific metric

## SetMovingImageMask() [1/4]

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetMovingImageMask | ( | const MovingImageMaskType * | _arg | ) |

override virtual

Pass the moving image mask to all sub metrics.

Reimplemented from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >.

## SetMovingImageMask() [2/4]

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetMovingImageMask | ( | const MovingImageMaskType * | _arg,
|  | unsigned int | pos )

virtual

Pass a moving image mask to a specific metric

## SetMovingImageMask() [3/4]

template<class TFixedImage, class TMovingImage>

void itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::SetMovingImageMask | ( | const typename Superclass::MovingImageMaskType * |  | ) |

inline final private

Definition at line 592 of file itkAdvancedImageToImageMetric.h.

## SetMovingImageMask() [4/4]

template<class TFixedImage, class TMovingImage>

void itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::SetMovingImageMask | ( | typename Superclass::MovingImageMaskType * |  | ) |

inline final private

Definition at line 586 of file itkAdvancedImageToImageMetric.h.

## SetNumberOfMetrics()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetNumberOfMetrics | ( | unsigned int | count | ) |

Get and set the metrics and their weights. Set the number of metrics to combine.

## SetTransform() [1/2]

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetTransform | ( | TransformType * | _arg | ) |

override virtual

Set/Get functions for the metric components Pass the transform to all sub metrics.

Reimplemented from itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >.

## SetTransform() [2/2]

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetTransform | ( | TransformType * | _arg,
|  | unsigned int | pos )

virtual

Pass a transform to a specific metric. Only use this if you really know what you are doing.

In fact, in general it makes no sense to specify a different transform for every metric, because in the GetValue/GetDerivative methods, the same set of parameters will be used in all cases. Also, SetTransformParameters and GetNumberOfParameters may give unpredictable results if you use this method. They only refer to the first transform.

## SetUseAllMetrics()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetUseAllMetrics | ( |  | ) |

Use all metrics.

## SetUseMetric()

template<class TFixedImage, class TMovingImage>

void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetUseMetric | ( | const bool | use,
|  | const unsigned int | pos )

Select which metrics are used. This is useful in case you want to compute a certain measure, but not actually use it during the registration. By default all metrics that are set, are also used.

## SetUseRelativeWeights()

template<class TFixedImage, class TMovingImage>

virtual void itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::SetUseRelativeWeights | ( | bool | _arg | ) |

virtual

Set and Get the UseRelativeWeights variable.

## Field Documentation

## m_MetricComputationTime

template<class TFixedImage, class TMovingImage>

std::vector<double> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_MetricComputationTime {}

mutable protected

Definition at line 463 of file itkCombinationImageToImageMetric.h.

## m_MetricDerivatives

template<class TFixedImage, class TMovingImage>

std::vector<DerivativeType> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_MetricDerivatives {}

mutable protected

Definition at line 461 of file itkCombinationImageToImageMetric.h.

## m_MetricDerivativesMagnitude

template<class TFixedImage, class TMovingImage>

std::vector<double> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_MetricDerivativesMagnitude {}

mutable protected

Definition at line 462 of file itkCombinationImageToImageMetric.h.

## m_MetricRelativeWeights

template<class TFixedImage, class TMovingImage>

std::vector<double> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_MetricRelativeWeights {}

protected

Definition at line 457 of file itkCombinationImageToImageMetric.h.

## m_Metrics

template<class TFixedImage, class TMovingImage>

std::vector<SingleValuedCostFunctionPointer> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_Metrics {}

protected

Definition at line 455 of file itkCombinationImageToImageMetric.h.

## m_MetricValues

template<class TFixedImage, class TMovingImage>

std::vector<MeasureType> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_MetricValues {}

mutable protected

Definition at line 460 of file itkCombinationImageToImageMetric.h.

## m_MetricWeights

template<class TFixedImage, class TMovingImage>

std::vector<double> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_MetricWeights {}

protected

Definition at line 456 of file itkCombinationImageToImageMetric.h.

## m_NullDerivative

template<class TFixedImage, class TMovingImage>

DerivativeType itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_NullDerivative {}

protected

Definition at line 467 of file itkCombinationImageToImageMetric.h.

## m_NullFixedImageRegion

template<class TFixedImage, class TMovingImage>

FixedImageRegionType itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_NullFixedImageRegion {}

protected

Dummy image region and derivatives.

Definition at line 466 of file itkCombinationImageToImageMetric.h.

## m_NumberOfMetrics

template<class TFixedImage, class TMovingImage>

unsigned int itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_NumberOfMetrics { 0 }

protected

Store the metrics and the corresponding weights.

Definition at line 454 of file itkCombinationImageToImageMetric.h.

## m_UseMetric

template<class TFixedImage, class TMovingImage>

std::vector<bool> itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_UseMetric {}

protected

Definition at line 459 of file itkCombinationImageToImageMetric.h.

## m_UseRelativeWeights

template<class TFixedImage, class TMovingImage>

bool itk::CombinationImageToImageMetric< TFixedImage, TMovingImage >::m_UseRelativeWeights { false }

protected

Definition at line 458 of file itkCombinationImageToImageMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |